#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	24.12.1
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		korganizer
Summary:	korganizer
Name:		ka6-%{kaname}
Version:	24.12.1
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	ac69dece4ac7b54c5732c632882d5c4b
URL:		http://www.kde.org/
BuildRequires:	Qt6Core-devel >= %{qtver}
BuildRequires:	Qt6DBus-devel
BuildRequires:	Qt6Gui-devel
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6UiTools-devel
BuildRequires:	Qt6Widgets-devel
BuildRequires:	cmake >= 3.20
BuildRequires:	gettext-devel
BuildRequires:	ka6-akonadi-calendar-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-contacts-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-mime-devel >= %{kdeappsver}
BuildRequires:	ka6-akonadi-search-devel >= %{kdeappsver}
BuildRequires:	ka6-calendarsupport-devel >= %{kdeappsver}
BuildRequires:	ka6-eventviews-devel >= %{kdeappsver}
BuildRequires:	ka6-incidenceeditor-devel >= %{kdeappsver}
BuildRequires:	ka6-kcalutils-devel >= %{kdeappsver}
BuildRequires:	ka6-kidentitymanagement-devel >= %{kdeappsver}
BuildRequires:	ka6-kldap-devel >= %{kdeappsver}
BuildRequires:	ka6-kmailtransport-devel >= %{kdeappsver}
BuildRequires:	ka6-kmime-devel >= %{kdeappsver}
BuildRequires:	ka6-kontactinterface-devel >= %{kdeappsver}
BuildRequires:	ka6-kpimtextedit-devel >= %{kdeappsver}
BuildRequires:	ka6-libkdepim-devel >= %{kdeappsver}
BuildRequires:	ka6-pimcommon-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= %{kframever}
BuildRequires:	kf6-kcmutils-devel >= %{kframever}
BuildRequires:	kf6-kcodecs-devel >= %{kframever}
BuildRequires:	kf6-kcompletion-devel >= %{kframever}
BuildRequires:	kf6-kconfig-devel >= %{kframever}
BuildRequires:	kf6-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf6-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf6-kcrash-devel >= %{kframever}
BuildRequires:	kf6-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf6-kdoctools-devel >= %{kframever}
BuildRequires:	kf6-kholidays-devel >= %{kframever}
BuildRequires:	kf6-kiconthemes-devel >= %{kframever}
BuildRequires:	kf6-kitemviews-devel >= %{kframever}
BuildRequires:	kf6-kjobwidgets-devel >= %{kframever}
BuildRequires:	kf6-knewstuff-devel >= %{kframever}
BuildRequires:	kf6-knotifications-devel >= %{kframever}
BuildRequires:	kf6-kparts-devel >= %{kframever}
BuildRequires:	kf6-kservice-devel >= %{kframever}
BuildRequires:	kf6-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	kf6-kwindowsystem-devel >= %{kframever}
BuildRequires:	kf6-kxmlgui-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	phonon-qt6-devel
BuildRequires:	qt6-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	ka5-%{kaname} < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KOrganizer is an easy to use personal information manager (PIM). You
can write journal entries, schedule appointments, events, and to-dos.
KOrganizer will remind you about pending tasks, and help you keep your
schedule.

%description -l pl.UTF-8
KOrganizer jest łatwym w użyciu programem do zarządzania informacją
osobistą (PIM). Możesz dodawać wpisy do dziennika, planować spotkania,
i listę zadań do zrobienia. KOrganizer przypomni Ci o sprawach do
załatwienia i pomoże Ci trzymać się planu.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/korganizer
%ghost %{_libdir}/libkorganizer_core.so.6
%attr(755,root,root) %{_libdir}/libkorganizer_core.so.*.*
%ghost %{_libdir}/libkorganizer_interfaces.so.6
%attr(755,root,root) %{_libdir}/libkorganizer_interfaces.so.*.*
%ghost %{_libdir}/libkorganizerprivate.so.6
%attr(755,root,root) %{_libdir}/libkorganizerprivate.so.*.*
%attr(755,root,root) %{_libdir}/qt6/plugins/korganizerpart.so
%{_desktopdir}/korganizer-import.desktop
%{_desktopdir}/org.kde.korganizer.desktop
%{_datadir}/config.kcfg/korganizer.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.Korganizer.Calendar.xml
%{_datadir}/dbus-1/interfaces/org.kde.korganizer.Korganizer.xml
%{_iconsdir}/hicolor/*x*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg*
%{_datadir}/korganizer
%{_datadir}/metainfo/org.kde.korganizer.appdata.xml
%{_datadir}/knsrcfiles/korganizer.knsrc
%{_datadir}/qlogging-categories6/korganizer.categories
%{_datadir}/qlogging-categories6/korganizer.renamecategories
%{_desktopdir}/korganizer-view.desktop
%{_datadir}/dbus-1/services/org.kde.korganizer.service
%dir %{_libdir}/qt6/plugins/pim6/kcms/korganizer
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_configcolorsandfonts.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_configfreebusy.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_configgroupscheduling.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_configmain.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_configplugins.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_configtime.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_configviews.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/korganizer/korganizer_userfeedback.so
%dir %{_libdir}/qt6/plugins/pim6/kcms/summary
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/summary/kcmapptsummary.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/summary/kcmsdsummary.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kcms/summary/kcmtodosummary.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kontact/kontact_journalplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kontact/kontact_korganizerplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kontact/kontact_specialdatesplugin.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/kontact/kontact_todoplugin.so
%dir %{_libdir}/qt6/plugins/pim6/korganizer
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/korganizer/datenums.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/korganizer/lunarphases.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/korganizer/picoftheday.so
%attr(755,root,root) %{_libdir}/qt6/plugins/pim6/korganizer/thisdayinhistory.so
%{_iconsdir}/hicolor/scalable/status/*.svg
%changelog
* Sat Jan 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-korganizer.git;a=log;h=auto/th/ka6-korganizer-24.12.1-1

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> f037512
- updated to 24.12.1

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 87a9115
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> bea2322
- updated to 24.08.3

* Sun Nov 03 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5754bfb
- dirs

* Sat Nov 02 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 70a5ae5
- relup

* Mon Oct 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 28fb4ce
- dir

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dcbec4b
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> f5e035c
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8a1a504
- updated to 24.08.0

* Fri Jul 05 2024 Witold Filipczyk <witekfl@poczta.onet.pl> c48af1c
- updated to 24.05.2

* Fri Jun 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 794b6a9
- updated to 24.05.1

* Fri May 24 2024 Witold Filipczyk <witekfl@poczta.onet.pl> e7dc68b
- updated to 24.05.0

* Sat Apr 13 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 88c5ac9
- updated to 24.02.2

* Fri Mar 22 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dcb9ad4
- updated to 24.02.1

* Mon Mar 04 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 0ae42c6
- updated to 24.02.0

